install.packages('tidyr')
library('tidyr')

#2007~2018까지의 6~8월 서울 평균 기온
read.csv('temperature.csv')

#t와 d라는 변수 선언
t <- read.csv('temperature.csv') 


#gather()는 와이드포맷>롱으로 , spread()는 롱>와이드로
gather(t) %>% head()
head(gather(t))


#날짜별 평균기온 롱포맷으로
t %>% gather(key='날짜', value='온도') %>% head()

t %>% gather(날짜, 온도, X601:X831) %>% head()

t %>% gather(날짜, 온도, -연도) %>% tail()
tl <- t %>% gather(날짜, 온도, -연도)
tl %>% spread()


#tl에 어떤 게 key고 어떤 게 value인지 알려줌
tl %>% spread(날짜, 온도)


install.packages("ggplot2")
library(ggplot2)

tl %>% ggplot() + geom_boxplot(aes(x=날짜, y=온도))

tl %>% ggplot() + geom_point(aes(x=날짜, y=온도))



#20년동안의 기온 분포도 입니다, 
tl %>% ggplot() + geom_line(aes(x=날짜, y=온도))

#20년동안 초복의 평균 기온이 어떻게 바뀌었는가
t$X712

tl[tl$날짜=='X712', ] %>% head()

tl[tl$날짜=='X712', ] %>% ggplot() + geom_col(aes(x=연도, y=온도))+xlim(2006,2018)

#20년동안 중복의 평균 기온이 어떻게 바뀌었는가!
t$X722

tl[tl$날짜=='X722', ] %>% head()

tl[tl$날짜=='X722', ] %>% ggplot() + geom_col(aes(x=연도, y=온도))+xlim(2006,2018)

#20년동안 말복의 평균 기온이 어떻게 바뀌었는가용 
t$X811

tl[tl$날짜=='X811', ] %>% head()
tl[tl$날짜=='X811', ] %>% head()



tl[tl$날짜=='X811', ] %>% ggplot() + geom_col(aes(x=연도, y=온도))+xlim(2006,2018)






